Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.params
Class AbstractParam

    java.lang.Object
      net.sourceforge.arbaro.params.AbstractParam

Direct Known Subclasses:
  FloatParam, IntParam, StringParam

    public abstract class AbstractParam

extends java.lang.Object

Field Summary
`protected javax.swing.event.ChangeEvent` | `changeEvent`
`static int` | `GENERAL`
`protected javax.swing.event.EventListenerList` | `listenerList`
`static boolean` | `loading`

Constructor Summary
`AbstractParam(java.lang.String nam, java.lang.String grp, int lev, int ord, java.lang.String sh, java.lang.String lng)`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener l)`
`abstract void` | `clear()`
`abstract boolean` | `empty()`
`protected void` | `fireStateChanged()`
`abstract java.lang.String` | `getDefaultValue()`
`boolean` | `getEnabled()`
`java.lang.String` | `getGroup()`
`int` | `getLevel()`
`java.lang.String` | `getLongDesc()`
`java.lang.String` | `getName()`
`int` | `getOrder()`
`java.lang.String` | `getShortDesc()`
`abstract java.lang.String` | `getValue()`
`void` | `removeChangeListener(javax.swing.event.ChangeListener l)`
`void` | `setEnabled(boolean en)`
`abstract void` | `setValue(java.lang.String val)`
`java.lang.String` | `toString()`
`protected void` | `warn(java.lang.String warning)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GENERAL

    public static final int GENERAL

See Also:
  Constant Field Values

### changeEvent

    protected javax.swing.event.ChangeEvent changeEvent

### listenerList

    protected javax.swing.event.EventListenerList listenerList

### loading

    public static boolean loading

Constructor Detail

### AbstractParam

    public AbstractParam(java.lang.String nam,
                         java.lang.String grp,
                         int lev,
                         int ord,
                         java.lang.String sh,
                         java.lang.String lng)

Method Detail

### setValue

    public abstract void setValue(java.lang.String val)
                           throws ParamException

  Throws:
    `ParamException`

### getValue

    public abstract java.lang.String getValue()

### getDefaultValue

    public abstract java.lang.String getDefaultValue()

### clear

    public abstract void clear()

### empty

    public abstract boolean empty()

### warn

    protected void warn(java.lang.String warning)

### setEnabled

    public void setEnabled(boolean en)

### getEnabled

    public boolean getEnabled()

### getName

    public java.lang.String getName()

### getGroup

    public java.lang.String getGroup()

### getLevel

    public int getLevel()

### getOrder

    public int getOrder()

### getShortDesc

    public java.lang.String getShortDesc()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getLongDesc

    public java.lang.String getLongDesc()

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener l)

### fireStateChanged

    protected void fireStateChanged()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD